name="xserver"
patches_dir="xserver_patches"
clone_directory="xserver"
clone_command="git clone --depth 1 --branch=xorg-server-1.20.11 https://gitlab.freedesktop.org/xorg/xserver.git"
configure_command="meson build -Dxorg=true -Dxwayland=true -Dglamor=true -Dxwayland_eglstream=false -Dxnest=false -Ddmx=false -Dxvfb=true -Dxwin=false -Dxephyr=false -Ddri3=true"
build_command="ninja -C build install"

## Hooks
function post_clone_hook {
    return
}

function post_configure_hook {
    return
}

function post_install_hook {
    # overwrite /usr/bin/Xwayland with symlink to our Xwayland (FIXME: brittle)
    rm -f /usr/bin/Xwayland
    ln -s /usr/local/bin/Xwayland /usr/bin/Xwayland
}
